%define api_version     1
%define lib_major       0
%define lib_name        %mklibname %{name} %{api_version} %{lib_major}
%define develname 	%mklibname ots -d

Name:		ots
Summary:	A text summarizer
Version:	0.5.0
Release:	%mkrel 2
License:	GPLv2+
Group:		System/Libraries
URL:		http://libots.sourceforge.net/
Source:		%{name}-%{version}.tar.xz
Patch0:		ots-0.5.0-fix-underlinking.patch
Patch1:		ots-0.5.0-fix-installation.patch
BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	pkgconfig >= 0.8
BuildRequires:	glib2-devel
BuildRequires:	libxml2-devel
BuildRequires:	popt-devel

%description
The open text summarizer is an open source tool for summarizing texts.
The program reads a text and decides which sentences are important and
which are not.
The program can either print the summarized text in text format or in
HTML form where the important sentences are highlighted in red.
 
The program is multi lingual and work with UTF-8 code;  At the moment
only English Hebrew are supported.
 
The ots command line tool is an example and a debug tool for the libary.
You can bind to the library from your program.

%package -n %{lib_name}
Summary:	Libraries for ots
Group:		System/Libraries
Requires:	%{name} = %{version}-%{release}
Obsoletes:	%mklibname ots- 1 0

%description -n %{lib_name}
This package provides the libraries for using ots.


%package -n %{develname}
Summary:	Libraries and include files for developing with libots
Group:		Development/Libraries
Requires:	%{lib_name} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d ots- 1 0

%description -n %{develname}
This package provides the necessary development libraries and include
files to allow you to develop with libots.


%prep
%setup -q -n ots-%{version}
%patch0 -p0
%patch1 -p0

%build
touch gtk-doc.make
autoreconf -fi
%configure2_5x --disable-gtk-doc --disable-static
%make -j1

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

# clean out unused files
rm -rf $RPM_BUILD_ROOT%{_datadir}/doc/libots/html/*
rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la


%clean
rm -rf $RPM_BUILD_ROOT

%files
%attr(0755,root,root)%{_bindir}/%{name}
%defattr(0644, root, root, 0755)
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%dir %{_datadir}/ots
%{_datadir}/ots/*

%files -n %{lib_name}
%defattr(0644, root, root, 0755)
%{_libdir}/*ots-1.so.*

%files -n %{develname}
%defattr(0644, root, root, 0755)
%{_libdir}/*ots-1.so
%dir %{_includedir}/libots-1
%dir %{_includedir}/libots-1/ots
%{_includedir}/libots-1/ots/*.h
%{_libdir}/pkgconfig/libots-1.pc


%changelog
* Wed Nov 06 2013 billybot <billybot> 0.5.0-2pclos2013
- rebuild new pcre
- convert source to tar.xz
- remove .la files

* Sat Aug 13 2011 Texstar <texstar at gmail.com> 0.5.0-1pclos2011
- rebuild 
